Package org.tanukisoftware.wrapper.event

# Interface WrapperEventListener

All Known Implementing Classes:
  `AbstractActionApp`, `Main`

public interface WrapperEventListener
WrapperEventListeners can be registered with the WrapperManager class to receive WrapperEvents.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`EVENT_FLAG_CONTROL`
Enabling control events will cause the listener to receive WrapperControlEvents.
`static final long`
`EVENT_FLAG_CORE`
Enabling core events will cause the listener to receive WrapperCoreEvents.
`static final long`
`EVENT_FLAG_LOGGING`
Enabling logging events will cause the listener to receive WrapperLoggingEvents.
`static final long`
`EVENT_FLAG_REMOTE_CONTROL`
Enabling remoteControl events will cause the listener to receive WrapperRemoteControlEvents.
`static final long`
`EVENT_FLAG_SERVICE`
Enabling service events will cause the listener to receive WrapperServiceEvents.

## Method Summary

Modifier and Type
Method
Description
`void`
`fired(WrapperEvent event)`
Called whenever a WrapperEvent is fired.

## Field Details

### EVENT_FLAG_SERVICE

static final long EVENT_FLAG_SERVICE
Enabling service events will cause the listener to receive WrapperServiceEvents. These events pertain to the Wrapper as a service.

See Also:
  - Constant Field Values

### EVENT_FLAG_CONTROL

static final long EVENT_FLAG_CONTROL
Enabling control events will cause the listener to receive WrapperControlEvents. These events are thrown whenever the Java process receives control events from the system. These include CTRL-C, HALT, TERM signals etc.

See Also:
  - Constant Field Values

### EVENT_FLAG_LOGGING

static final long EVENT_FLAG_LOGGING
Enabling logging events will cause the listener to receive WrapperLoggingEvents. These events are thrown in response to certain logging events such as updates to the log file name.

See Also:
  - Constant Field Values

### EVENT_FLAG_REMOTE_CONTROL

static final long EVENT_FLAG_REMOTE_CONTROL
Enabling remoteControl events will cause the listener to receive WrapperRemoteControlEvents. These events are fired when a signal is caught from outside the Wrapper (for example a signal coming from a pipe).

WARNING - Those events should be handled carefully as they may be originally triggered by unauthenticated sources.

See Also:
  - Constant Field Values

### EVENT_FLAG_CORE

static final long EVENT_FLAG_CORE
Enabling core events will cause the listener to receive WrapperCoreEvents. These events provide information on the internal timing of the Wrapper.

WARNING - Great care should be taken when receiving events of this type. They are sent from within the Wrapper's internal timing thread. If the listner takes too much time working with the event, Wrapper performance could be adversely affected. If unsure, it is recommended that events of this type not be included.

See Also:
  - Constant Field Values

## Method Details

### fired

void fired(WrapperEvent event)
Called whenever a WrapperEvent is fired. The exact set of events that a listener will receive will depend on the mask supplied when WrapperManager.addWrapperEventListener was called to register the listener.

Listener implementations should never assume that they will only receive events of a particular type. To assure that events added to future versions of the Wrapper do not cause problems with user code, events should always be tested with "if ( event instanceof {EventClass} )" before casting it to a specific event type.

Parameters:
  `event` - WrapperEvent which was fired.